Tokens - Get

Gets the properties of the specified token.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/tokens/{tokenName}?api-version=2025-11-01

URI Parameters

Name In Required Type Description
registryName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9]*$

The name of the container registry.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

tokenName
path True

string

minLength: 5
maxLength: 50
pattern: ^[a-zA-Z0-9-]*$

The name of the token.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Token

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

TokenGet

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/myToken?api-version=2025-11-01

Sample response

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/tokens/myToken",
  "name": "myToken",
  "type": "Microsoft.ContainerRegistry/registries/tokens",
  "properties": {
    "creationDate": "2017-03-01T23:14:37.0707808Z",
    "scopeMapId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/scopeMaps/myScopeMap",
    "provisioningState": "Succeeded",
    "status": "enabled"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ProvisioningState

The provisioning state of the archive at the time the operation was called.

systemData

Metadata pertaining to creation and last modification of the resource.

Token

An object that represents a token for a container registry.

TokenCertificate

The properties of a certificate used for authenticating a token.

TokenCertificateName
TokenCredentialsProperties

The properties of the credentials that can be used for authenticating the token.

TokenPassword

The password that will be used for authenticating the token of a container registry.

TokenPasswordName

The password name "password1" or "password2"

TokenStatus

The status of the token example enabled or disabled.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ProvisioningState

The provisioning state of the archive at the time the operation was called.

Value Description
Creating
Updating
Deleting
Succeeded
Failed
Canceled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

Token

An object that represents a token for a container registry.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.creationDate

string (date-time)

The creation date of scope map.

properties.credentials

TokenCredentialsProperties

The credentials that can be used for authenticating the token.

properties.provisioningState

ProvisioningState

Provisioning state of the resource.

properties.scopeMapId

string

The resource ID of the scope map to which the token will be associated with.

properties.status

TokenStatus

The status of the token example enabled or disabled.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

TokenCertificate

The properties of a certificate used for authenticating a token.

Name Type Description
encodedPemCertificate

string

Base 64 encoded string of the public certificate1 in PEM format that will be used for authenticating the token.

expiry

string (date-time)

The expiry datetime of the certificate.

name

TokenCertificateName

thumbprint

string

The thumbprint of the certificate.

TokenCertificateName

Value Description
certificate1
certificate2

TokenCredentialsProperties

The properties of the credentials that can be used for authenticating the token.

Name Type Description
certificates

TokenCertificate[]

The properties of a certificate used for authenticating a token.

passwords

TokenPassword[]

The password that will be used for authenticating the token of a container registry.

TokenPassword

The password that will be used for authenticating the token of a container registry.

Name Type Description
creationTime

string (date-time)

The creation datetime of the password.

expiry

string (date-time)

The expiry datetime of the password.

name

TokenPasswordName

The password name "password1" or "password2"

value

string

The password value.

TokenPasswordName

The password name "password1" or "password2"

Value Description
password1
password2

TokenStatus

The status of the token example enabled or disabled.

Value Description
enabled
disabled